Bug 245969 - rhn-manage-channel --create should be a single XMLRPC call
rhn-manage-channel --create should be a single XMLRPC call
Status: CLOSED EOL
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Backend (Show other bugs)
rhn500
All Linux
low Severity low
: ---
: ---
Assigned To: rhn-dev-list
Red Hat Satellite QA List
:
: 204521 (view as bug list)
Depends On:
Blocks: rhn-manage-channel 428922
  Show dependency treegraph
 
Reported: 2007-06-27 14:10 EDT by James Bowes
Modified: 2017-07-05 11:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Bowes 2007-06-27 14:10:02 EDT
rhn-5.0.2, rhn-content-mgmt-0.2.9

When running rhn-manage-channel with a csv file, and not specifying --commit,
you will see spurious errors if:
 The channel families do not exist, even though you specified --create-family
 A channel in your csv is a child channel of another channel in your csv

These happen because each channel creation, and each channel family creation, is
a distinct XMLRPC call that gets rolled back at the end.

Instead, the entire operation should be a single call, so it can be rolled back
or committed together.
Comment 1 James Bowes 2008-01-03 13:26:32 EST
*** Bug 204521 has been marked as a duplicate of this bug. ***
Comment 2 James Bowes 2008-02-11 11:02:58 EST
The code change for this will be large, for little gain; I'm not certain its
worth it.
Comment 5 Thomas "Shea" DeAntonio 2017-07-05 11:12:29 EDT
As you may already be aware, Red Hat is transitioning from the Red Hat Network (RHN) hosted interface to the Red Hat Subscription Management (RHSM) interface in July 2017. Red Hat has invested in and seen success from RHN for many years, and used that experience to build more robust technologies like RHSM. 
 
If you have not yet migrated your RHN systems to RHSM or you are a Red Hat Satellite customer, please review the information from. https://access.redhat.com/products/red-hat-subscription-management#migration. 
 
Since we are shutting down RHN, no further actions will be taken with this bug or enhancement request.  You can find additional information at RHSM product page (https://access.redhat.com/products/red-hat-subscription-management).  If you have further questions, please contact support (https://access.redhat.com/products/red-hat-subscription-management#support).
Comment 6 Thomas "Shea" DeAntonio 2017-07-05 11:13:19 EDT
As you may already be aware, Red Hat is transitioning from the Red Hat Network (RHN) hosted interface to the Red Hat Subscription Management (RHSM) interface in July 2017. Red Hat has invested in and seen success from RHN for many years, and used that experience to build more robust technologies like RHSM. 
 
If you have not yet migrated your RHN systems to RHSM or you are a Red Hat Satellite customer, please review the information from. https://access.redhat.com/products/red-hat-subscription-management#migration. 
 
Since we are shutting down RHN, no further actions will be taken with this bug or enhancement request.  You can find additional information at RHSM product page (https://access.redhat.com/products/red-hat-subscription-management).  If you have further questions, please contact support (https://access.redhat.com/products/red-hat-subscription-management#support).

Note You need to log in before you can comment on or make changes to this bug.